<?php
namespace JHodges\PHPUnitBase;

abstract class BrowserTest extends \PHPUnit_Extensions_Selenium2TestCase{

    public function setUp(){
        $this->setHost('localhost');
        $this->setPort(4444);
	$this->setDesiredCapabilities(['moz:firefoxOptions'=>['args'=>['-headless','screenshot','window-size='.getenv('SeleniumWindowSize')]]]);
        $this->setBrowserUrl(getenv('SeleniumBrowserUrl'));
        $this->setBrowser(getenv('SeleniumBrowser'));
    }

    public function tearDown(){
        if ($this->hasFailed()) {
            if($path=getenv('SeleniumScreenshotPath')){
	            $filedata = $this->currentScreenshot();
        	    file_put_contents($path.get_class($this).':'.$this->getName().'.png', $filedata);
            }
        }
        $this->stop();
    }

}
